package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEnginMaterialQuality;
import com.ruoyi.zdsz.domain.vo.ZBuildingVo;
import com.ruoyi.zdsz.domain.vo.ZEnginMaterialQualityVo;
import com.ruoyi.zdsz.domain.bo.ZEnginMaterialQualityBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工程材质Service接口
 *
 * @author ruoyi
 * @date 2023-12-29
 */
public interface IZEnginMaterialQualityService {

    /**
     * 查询工程材质
     */
    ZEnginMaterialQualityVo queryById(String id);

    /**
     * 查询工程材质列表
     */
    TableDataInfo<ZEnginMaterialQualityVo> queryPageList(ZEnginMaterialQualityBo bo, PageQuery pageQuery);

    /**
     * 查询工程材质列表
     */
    List<ZEnginMaterialQualityVo> queryList(ZEnginMaterialQualityBo bo);

    /**
     * 新增工程材质
     */
    Boolean insertByBo(ZEnginMaterialQualityBo bo);

    /**
     * 修改工程材质
     */
    Boolean updateByBo(ZEnginMaterialQualityBo bo);

    /**
     * 校验并批量删除工程材质信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    List<ZEnginMaterialQualityVo> getEnginMaterialQualityList(ZEnginMaterialQualityBo enginType);
}
